Remove cart item
Cart
Remove cart item
Remove a product or variant from the cart.
DELETE
Remove cart item
Remove base product line item
Use this route when the line item refers to the base product (no variant).Remove by item ID
You can also remove any cart item (including food items) directly by its_id:
Path parameters
| Parameter | Type | Description |
|---|---|---|
productId | string | Product identifier of the cart item. |
itemId | string | Cart line item _id (for the /cart/item/:itemId route). |
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token as Bearer <jwt>. |
x-shop-id | string | Identify the shop that owns the cart. |
Successful response
Error response
Remove variant line item
Use this path when removing a specific variant from the cart.Additional path parameter
| Parameter | Type | Description |
|---|---|---|
variantId | string | Variant identifier when removing a specific variant line item. |
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Path Parameters
Product identifier for the cart item.

